summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2025-05-08 20:49:49 +0100
committerLeah Rowe <leah@libreboot.org>2025-05-08 20:49:49 +0100
commita3ba8acface32900a524cf0ab429cadcd99577bc (patch)
tree39eb713f07731bea947485665cee602e201c8b2c
parent021e7615c84ddf91edcd13a6385fe1bd6ca51ebb (diff)
init.sh: Only check XBMK_CACHE if it exists
Otherwise, if it doesn't exist, the current check will wrongly exit with error status, preventing you from running the build system at all! Signed-off-by: Leah Rowe <leah@libreboot.org>
-rw-r--r--include/init.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/include/init.sh b/include/init.sh
index d2db0236..b9cb81b1 100644
--- a/include/init.sh
+++ b/include/init.sh
@@ -134,7 +134,8 @@ xbmk_set_env()
xbmkcache="`findpath "$XBMK_CACHE"`" || \
err "Can't resolve cachedir: '$XBMK_CACHE'"
export XBMK_CACHE="$xbmkcache"
- [ -d "$XBMK_CACHE" ] || err "cachedir '$XBMK_CACHE' is a file"; :
+ [ ! -e "$XBMK_CACHE" ] || \
+ [ -d "$XBMK_CACHE" ] || err "cachedir '$XBMK_CACHE' is a file"; :
# if "y": a coreboot target won't be built if target.cfg says release="n"
# (this is used to exclude certain build targets from releases)